.mode column
.headers on
PRAGMA foreign_keys = ON;
PRAGMA strict = ON;

CREATE TABLE Livraison (
	id_fourn INTEGER NOT NULL,
	id_produit INTEGER NOT NULL,
	PRIMARY KEY (id_fourn, id_produit)
);

INSERT INTO Livraison VALUES (1, 1), (1,2), (2,1), (3,4);

CREATE TABLE Achat (
	id_achat INTEGER NOT NULL PRIMARY KEY,
	id_fourn INTEGER NOT NULL,
	id_produit INTEGER NOT NULL,
	id_client INTEGER NOT NULL,
	date TEXT,
	FOREIGN KEY (id_fourn, id_produit) REFERENCES Livraison(id_fourn, id_produit) 	
);


INSERT INTO Achat VALUES (1,2,1,2, "2022");
-- INSERT INTO Achat VALUES (2,1,4,1, "2022");
INSERT INTO Achat VALUES (2,1,2,1, "2022");